[Samba] missing dependencies when compiling samba/ctdb rpm on sles 10.1 (don't have all features required for Active Directory support) - Samba

This is a discussion on [Samba] missing dependencies when compiling samba/ctdb rpm on sles 10.1 (don't have all features required for Active Directory support) - Samba ; I appear to be missing some libs on suse 10.1 when running: rpmbuild --rebuild samba-3.0.25-ctdb.16.src.rpm checking for WRFILE: keytab support... no checking for krb5_princ_realm returns krb5_realm or krb5_data... no checking for krb5_addresses type... no checking whether krb5_mk_error takes 3 arguments ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: [Samba] missing dependencies when compiling samba/ctdb rpm on sles 10.1 (don't have all features required for Active Directory support)

  1. [Samba] missing dependencies when compiling samba/ctdb rpm on sles 10.1 (don't have all features required for Active Directory support)

    I appear to be missing some libs on suse 10.1 when running:

    rpmbuild --rebuild samba-3.0.25-ctdb.16.src.rpm



    checking for WRFILE: keytab support... no
    checking for krb5_princ_realm returns krb5_realm or krb5_data... no
    checking for krb5_addresses type... no
    checking whether krb5_mk_error takes 3 arguments MIT or 9 Heimdal... yes
    configure: WARNING: krb5_mk_req_extended not found in -lkrb5
    configure: WARNING: no CREATE_KEY_FUNCTIONS detected
    configure: WARNING: no GET_ENCTYPES_FUNCTIONS detected
    configure: WARNING: no KT_FREE_FUNCTION detected
    configure: WARNING: no KRB5_VERIFY_CHECKSUM_FUNCTION detected
    configure: error: krb5 libs don't have all features required for Active Directory support
    error: Bad exit status from /var/tmp/rpm-tmp.54775 (%build)


    RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.54775 (%build)

    oss02:/net/lmd01/space/samba # rpm -qa|egrep -i 'krb5|gss|ctdb'
    pam_krb5-2.2.3-18.2
    krb5-32bit-1.4.3-19.30.6
    krb5-devel-1.4.3-19.30.6
    krb5-server-1.4.3-19.30.6
    krb5-devel-32bit-1.4.3-19.30.6
    pam_krb5-32bit-2.2.3-18.2
    krb5-1.4.3-19.30.6
    krb5-apps-clients-1.4.3-19.30.6
    krb5-doc-1.4.3-19.2
    cyrus-sasl-gssapi-2.1.21-18.4
    libgssapi-32bit-0.6-13.7
    librpcsecgss-0.7-13.8
    libgssapi-0.6-13.7
    ctdb-1.0-28

    Any idea what I'm missing?

    Thanks
    JR
    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  2. Re: [Samba] missing dependencies when compiling samba/ctdb rpm on sles 10.1 (don't have all features required for Active Directory support)

    It did help, though I had to install the libcom_err rpm. For
    some reason; only the libcom_err-32bit was installed on the
    machine.

    Thanks much
    JR

    troc wrote:
    > Hello,
    >
    > If you look at the samba source config.log (at least in rhel5.1) it says
    > the lcom_err was missing which I think had to symlink so.X versions
    > to .so and then run ldconfig after.
    >
    > Not sure if it is the right thing to do due to version compatibilities,
    > but at least the rpms built after doing this.
    >
    > ln -s libcom_err.so.2 libcom_err.so
    >
    > Hope it helps.
    > Regards,
    >
    >
    > Troc
    >
    >
    > On Tue, 2008-06-03 at 11:03 -0400, jrs wrote:
    >> I appear to be missing some libs on suse 10.1 when running:
    >>
    >> rpmbuild --rebuild samba-3.0.25-ctdb.16.src.rpm
    >>
    >>
    >>
    >> checking for WRFILE: keytab support... no
    >> checking for krb5_princ_realm returns krb5_realm or krb5_data... no
    >> checking for krb5_addresses type... no
    >> checking whether krb5_mk_error takes 3 arguments MIT or 9 Heimdal... yes
    >> configure: WARNING: krb5_mk_req_extended not found in -lkrb5
    >> configure: WARNING: no CREATE_KEY_FUNCTIONS detected
    >> configure: WARNING: no GET_ENCTYPES_FUNCTIONS detected
    >> configure: WARNING: no KT_FREE_FUNCTION detected
    >> configure: WARNING: no KRB5_VERIFY_CHECKSUM_FUNCTION detected
    >> configure: error: krb5 libs don't have all features required for Active Directory support
    >> error: Bad exit status from /var/tmp/rpm-tmp.54775 (%build)
    >>
    >>
    >> RPM build errors:
    >> Bad exit status from /var/tmp/rpm-tmp.54775 (%build)
    >>
    >> oss02:/net/lmd01/space/samba # rpm -qa|egrep -i 'krb5|gss|ctdb'
    >> pam_krb5-2.2.3-18.2
    >> krb5-32bit-1.4.3-19.30.6
    >> krb5-devel-1.4.3-19.30.6
    >> krb5-server-1.4.3-19.30.6
    >> krb5-devel-32bit-1.4.3-19.30.6
    >> pam_krb5-32bit-2.2.3-18.2
    >> krb5-1.4.3-19.30.6
    >> krb5-apps-clients-1.4.3-19.30.6
    >> krb5-doc-1.4.3-19.2
    >> cyrus-sasl-gssapi-2.1.21-18.4
    >> libgssapi-32bit-0.6-13.7
    >> librpcsecgss-0.7-13.8
    >> libgssapi-0.6-13.7
    >> ctdb-1.0-28
    >>
    >> Any idea what I'm missing?
    >>
    >> Thanks
    >> JR

    >
    >

    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

+ Reply to Thread